<?php
/**
 * The template for displaying author archive
 *
 * @package 	Rumput Hijau
 * @author		Satrya
 * @license		license.txt
 * @since 		Rumput Hijau 1.1.5
 *
 */

get_header(); ?>

		<section id="primary" class="site-content">
			
			<?php rumputhijau_content_before(); // before content hook ?>
			
			<div id="content" role="main">
			<?php rumputhijau_content(); // content hook ?>
			
			<?php if ( have_posts() ) : ?>

				<header class="page-header">
				
					<div class="author-info">
						<?php the_post(); ?>
							
						<h1 class="page-title author"><?php printf( __( 'Author Archives: %s', 'rumputhijau' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' ); ?></h1>
						<div id="author-wrap"> 
							<div class="inner-author-wrap clearfix">
								<span class="author-photo"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 60); ?></span>
								<span class="author-desc"><?php the_author_meta( 'description' ); ?></span>
							</div>
						</div><!-- end .author-wrap -->
					</div><!-- end .author-info -->
					
				</header><!-- end .page-header -->

				<?php rewind_posts(); ?>

				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<?php
						/* Include the Post-Format-specific template for the content.
						 * If you want to overload this in a child theme then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'loop', get_post_format() );
					?>

				<?php endwhile; ?>

				<?php rumputhijau_content_nav( 'nav-below' ); ?>

			<?php else : ?>

				<?php get_template_part( 'no-results', 'archive' ); ?>

			<?php endif; ?>
			
			</div><!-- #content -->
			
			<?php rumputhijau_content_after(); // after content hook ?>
			
		</section><!-- #primary .site-content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>