<?php
/**
 * Header Template Part
 * 
 * Template part file that contains the HTML document head and 
 * opening HTML body elements, as well as the site header
 *
 * @package 	Rumput Hijau
 * @author		Satrya
 * @license		license.txt
 * @since 		Rumput Hijau 1.0.0
 *
 */
?>
<!DOCTYPE html>
<!--[if IE 7]>    <html class="no-js ie7 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>

<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">

<title><?php wp_title(); ?></title>
	
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="hfeed site">

	<?php rumputhijau_before(); // before main hook // hook to display top navigation, defined in /includes/templates.php ?>
	
	<div id="main" class="site-main">
		
		<?php rumputhijau_main(); // main hook ?>
		
		<header id="masthead" class="site-header" role="banner">
		
			<?php rumputhijau_header(); // header hook // hook to display the header area, Defined in /includes/templates.php ?>
			
		</header><!-- #masthead .site-header -->
		
		<?php rumputhijau_header_after(); // after header hook ?>
