<?php
/**
 * Rumput Hijau Theme Custom Hooks
 * 
 * This file defines custom action hooks for the Rumput Hijau Theme.
 *
 * @package 	Rumput Hijau
 * @author		Satrya
 * @license		license.txt
 * @since 		Rumput Hijau 1.1.5
 *
 */
?>
<?php
/**
 * Action hook after #wrapper
 *
 * @file 	header.php
 * @since 	Rumput Hijau 1.1.5
 */
function rumputhijau_before() {
    do_action('rumputhijau_before');
}

/**
 * Action hook after #main
 *
 * @file 	header.php
 * @since 	Rumput Hijau 1.1.5
 */
function rumputhijau_main() {
    do_action('rumputhijau_main');
}

/**
 * Action hook inside #masthead
 *
 * @file 	header.php
 * @since 	Rumput Hijau 1.1.5
 */
function rumputhijau_header() {
    do_action('rumputhijau_header');
}

/**
 * Action hook after #masthead
 *
 * @file 	header.php
 * @since 	Rumput Hijau 1.1.5
 */
function rumputhijau_header_after() {
    do_action('rumputhijau_header_after');
}

/**
 * Action hook after #primary
 *
 * @file 	index.php
 * @since 	Rumput Hijau 1.1.5
 */
function rumputhijau_content_before() {
    do_action('rumputhijau_content_before');
}

/**
 * Action hook after #content
 *
 * @file 	index.php
 * @since 	Rumput Hijau 1.1.5
 */
function rumputhijau_content() {
    do_action('rumputhijau_content');
}

/**
 * Action hook before closing #primary
 *
 * @file 	index.php
 * @since 	Rumput Hijau 1.1.5
 */
function rumputhijau_content_after() {
    do_action('rumputhijau_content_after');
}

/**
 * Action hook after #sidebar
 *
 * @file 	sidebar.php
 * @since 	Rumput Hijau 1.1.5
 */
function rumputhijau_sidebar_before() {
    do_action('rumputhijau_sidebar_before');
}

?>