<?php
/**
 * The template for displaying posts in the Aside Post Format on index and archive pages
 * 
 * @package 	Rumput Hijau
 * @author		Satrya
 * @license		license.txt
 * @since 		Rumput Hijau 1.0.8
 *
 */
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
		
		<?php 
		$img = get_post_meta(get_the_ID(), 'rumputhijau_meta_box_input_image', true);
		if($img != ""):
		?>
			<figure class="big-image">
				<img title="<?php the_title(); ?>" src="<?php echo esc_url( $img ); ?>">
			</figure><!-- end .big-image -->
		<?php endif; ?>
		
		<div class="content-right">
			
			<?php if ( is_search() ) : // Only display Excerpts for Search ?>
			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div><!-- .entry-summary -->
		
			<?php else : ?>
			
				<div class="entry-content">
					<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'rumputhijau' ) ); ?>
					<?php wp_link_pages( array( 
						'before' => '<div class="post-pages">' . __( 'Pages:', 'rumputhijau' ), 
						'after' => '</div>' ) 
					); ?>
				</div><!-- .entry-content -->
			<?php endif; ?>
			
			<div class="entry-meta">
				<?php rumputhijau_entry_meta(); // Defined in includes/templates.php ?>	
			</div>
		
		</div><!-- end .content-right -->
		
		<?php rumputhijau_content_left(); // Defined in includes/templates.php ?>

	</article><!-- #post-<?php the_ID(); ?> -->