<?php
/**
 * The template used for displaying post content in index.php
 * 
 * @package 	Rumput Hijau
 * @author		Satrya
 * @license		license.txt
 * @since 		Rumput Hijau 1.0.0
 *
 */
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
		
		<?php 
		$img = get_post_meta(get_the_ID(), 'rumputhijau_meta_box_input_image', true);
		if($img != ""):
		?>
			<figure class="big-image">
				<img title="<?php the_title(); ?>" src="<?php echo esc_url( $img ); ?>">
			</figure><!-- end .big-image -->
		<?php endif; ?>
		
		<div class="content-right">
			
			<header class="entry-header">
				<h2 class="entry-title"><a href="<?php the_permalink() ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'rumputhijau' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			</header><!-- .entry-header -->
			
			<?php if ( is_search() ) : // Only display Excerpts for Search ?>
			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div><!-- .entry-summary -->
		
			<?php else : ?>
			
				<div class="entry-content">
					<?php if(has_post_thumbnail()){ ?>
						<figure class="entry-thumbnail">
							<a href="<?php the_permalink() ?>">
								<?php the_post_thumbnail('150px', array( 'class' => 'photo', 'alt' => get_the_title(), 'title' => get_the_title()));?>
							</a>
						</figure><!-- end .entry-thumbnail -->
					<?php } ?>
					
					<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'rumputhijau' ) ); ?>
					<?php wp_link_pages( array( 
						'before' => '<div class="post-pages">' . __( 'Pages:', 'rumputhijau' ), 
						'after' => '</div>' ) 
					); ?>
				</div><!-- .entry-content -->
			<?php endif; ?>
			
			<footer class="entry-meta">
				<?php rumputhijau_entry_meta(); // Defined in includes/templates.php ?>	
			</footer><!-- end .entry-meta -->
		
		</div><!-- end .content-right -->
		
		<?php rumputhijau_content_left(); // Defined in includes/templates.php ?>
		
	</article><!-- #post-<?php the_ID(); ?> -->
	