<?php
/**
   Template Name: Fullwidth Page
 * 
 * Template to display full width content page
 *
 * @package 	Rumput Hijau
 * @author		Satrya
 * @license		license.txt
 * @since 		Rumput Hijau 1.0.0
 *
 */

get_header(); ?>
		
		<div id="primary" class="full-content">
			
			<?php rumputhijau_content_before(); // before content hook ?>
			
			<div id="content" role="main">
				<?php rumputhijau_content(); // content hook ?>
				
				<?php while ( have_posts() ) : the_post(); ?>
				
					<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
						
						<header class="entry-header">
							<h1 class="entry-title"><?php the_title(); ?></h1>
						</header><!-- .entry-header -->
						
						<div class="entry-content">
							<?php the_content(); ?>
							<?php edit_post_link( __( 'Edit', 'rumputhijau' ), '<span class="edit-link">', '</span>' ); ?>
						</div>
						
					</article><!-- #post-<?php the_ID(); ?> -->
					
					<?php comments_template( '', true ); ?>
					
				<?php endwhile; ?>
				  
			</div><!-- #content -->
			
			<?php rumputhijau_content_after(); // after content hook ?>
			
		</div><!-- #primary .site-content -->

<?php get_footer(); ?>