<?php
/**
   Template Name: Sitemap Page
 * 
 * Template to display custom sitemap page
 *
 * @package 	Rumput Hijau
 * @author		Satrya
 * @license		license.txt
 * @since 		Rumput Hijau 1.0.0
 *
 */

get_header(); ?>
	
		<div id="primary" class="site-content">
			
			<?php rumputhijau_content_before(); // before content hook ?>
			
			<div id="content" role="main">
				<?php rumputhijau_content(); // content hook ?>
				
				<?php while ( have_posts() ) : the_post(); ?>
				
					<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
						
						<header class="entry-header">
							<h1 class="entry-title"><?php the_title(); ?></h1>
						</header><!-- .entry-header -->
						
						<div class="entry-content">
							<?php the_content(); ?>
							
							<h2><?php _e('Pages','rumputhijau'); ?></h2>
								<ul><?php wp_list_pages('sort_column=menu_order&depth=0&title_li='); ?></ul>
							
							<h2><?php _e('Categories','rumputhijau'); ?></h2>
								<ul><?php wp_list_categories('depth=0&title_li=&show_count=1'); ?></ul>
							
							<h2><?php _e('Archives','rumputhijau'); ?></h2>
								<ul><?php wp_get_archives('type=monthly&limit=12'); ?> </ul>
								
							<h2><?php _e('Tags','rumputhijau'); ?></h2>
								<?php wp_tag_cloud('smallest=10&largest=18&number=&order=desc&format=flat'); ?>
							
							<?php edit_post_link( __( 'Edit', 'rumputhijau' ), '<span class="edit-link">', '</span>' ); ?>
						</div>
						
					</article><!-- #post-<?php the_ID(); ?> -->
					
					<?php comments_template( '', true ); ?>
					
				<?php endwhile; ?>
				
			</div><!-- #content -->
			
			<?php rumputhijau_content_after(); // after content hook ?>
			
		</div><!-- #primary .site-content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>