<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package 	Rumput Hijau
 * @author		Satrya
 * @license		license.txt
 * @since 		Rumput Hijau 1.0.8
 *
 */

get_header(); ?>

		<section id="primary" class="site-content">
			
			<?php rumputhijau_content_before(); // before content hook ?>
			
			<div id="content" role="main">
			<?php rumputhijau_content(); // content hook ?>
			
			<?php if ( have_posts() ) : ?>

				<header class="page-header">
					<h1 class="archive-title"><?php printf( __( 'Search Results for: %s', 'rumputhijau' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
				</header>
				
				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'loop', 'search' ); ?>

				<?php endwhile; ?>

				<?php rumputhijau_content_nav( 'nav-below' ); ?>

			<?php else : ?>

				<?php get_template_part( 'no-results', 'search' ); ?>

			<?php endif; ?>
			
			</div><!-- #content -->
			
			<?php rumputhijau_content_after(); // after content hook ?>
			
		</section><!-- #primary .site-content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>