<?php
/**
 * Single Blog Post template file
 * 
 * This file is the single blog post template file, used to display single blog posts.
 *
 * @package 	Rumput Hijau
 * @author		Satrya
 * @license		license.txt
 * @since 		Rumput Hijau 1.0
 *
 */

get_header(); ?>

		<div id="primary" class="site-content">
			
			<?php rumputhijau_content_before(); // before content hook ?>
			
			<div id="content" role="main">
				<?php rumputhijau_content(); // content hook ?>
				
				<?php while ( have_posts() ) : the_post(); ?>

					<?php rumputhijau_content_nav( 'nav-above' ); // defined in includes/templates.php ?>
					
						<?php
							if(get_post_format() == '')
								get_template_part('loop', 'single' );
							else
								get_template_part('loop', get_post_format() );
						?>

					<?php rumputhijau_content_nav( 'nav-below' ); // defined in includes/templates.php ?>

					<?php
						// If comments are open or we have at least one comment, load up the comment template
						if ( comments_open() || '0' != get_comments_number() )
							comments_template( '', true );
					?>

				<?php endwhile; // end of the loop. ?>
				
			</div><!-- #content -->
			
			<?php rumputhijau_content_after(); // after content hook ?>
			
		</div><!-- #primary .site-content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>